<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>wims: PGTStorageFile Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="examples.html"><span>Examples</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
      <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>PGTStorageFile Class Reference<br/>
<small>
[<a class="el" href="group__internal_p_g_t_storage_file.html">PGT storage on the filesystem</a>]</small>
</h1><!-- doxytag: class="PGTStorageFile" --><!-- doxytag: inherits="PGTStorage" --><div class="dynheader">
Inheritance diagram for PGTStorageFile:</div>
<div class="dynsection">
 <div class="center">
  <img src="class_p_g_t_storage_file.gif" usemap="#PGTStorageFile_map" alt=""/>
  <map id="PGTStorageFile_map" name="PGTStorageFile_map">
<area href="class_p_g_t_storage.html" alt="PGTStorage" shape="rect" coords="0,0,101,24"/>
</map>
 </div>
</div>

<p><a href="class_p_g_t_storage_file-members.html">List of all members.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_p_g_t_storage_file.html#ga9b54c40d39ce33d8266086d93a64cedd">getStorageType</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_p_g_t_storage_file.html#gaba32bbc45e02eecb439136ef152b887e">getStorageInfo</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_p_g_t_storage_file.html#gaa7418e81e4382b88bcabc03d726ff4c3">PGTStorageFile</a> ($cas_parent, $format, $path)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_p_g_t_storage_file.html#ga0c543731e0444b7e106e64853d996ae7">init</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_p_g_t_storage_file.html#ga4b0f3d6fce391a191fa33671d9657844">write</a> ($pgt, $pgt_iou)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_p_g_t_storage_file.html#ga7ae8e91538f183e5744b71fe7b6eaee4">read</a> ($pgt_iou)</td></tr>
<tr><td colspan="2"><h2>Private Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_p_g_t_storage_file.html#ga949703587626fcb6b488aa91103d3db9">getPath</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_p_g_t_storage_file.html#gadaa77d66a22146c54fbaab0b8a7eed18">getFormat</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_p_g_t_storage_file.html#ga5ec75352dab4fa298232a000261b08db">getPGTIouFilename</a> ($pgt_iou)</td></tr>
<tr><td colspan="2"><h2>Private Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_p_g_t_storage_file.html#gac62a1c5350f9924f52e5504183d34164">$_path</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_p_g_t_storage_file.html#gaf1a9db7d078f8872381638eb27f47940">$_format</a></td></tr>
</table>
<hr/><a name="_details"></a><h2>Detailed Description</h2>
<p>The <a class="el" href="class_p_g_t_storage_file.html">PGTStorageFile</a> class is a class for PGT file storage. An instance of this class is returned by CASClient::SetPGTStorageFile().</p>
<dl class="author"><dt><b>Author:</b></dt><dd>Pascal Aubry &lt;pascal.aubry at univ-rennes1.fr&gt; </dd></dl>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>D:/web/serveur/dokeos/acces_wims/phpcas/CAS/PGTStorage/<a class="el" href="pgt-file_8php.html">pgt-file.php</a></li>
</ul>
</div>
<hr size="1"/><address style="text-align: right;"><small>Generated on Thu Oct 8 11:33:57 2009 for wims by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.6.1 </small></address>
</body>
</html>
